---
title: 511 Network Authentication Required
slug: Web/HTTP/Status/511
tags:
  - HTTP
  - HTTP Status Code
  - Reference
  - Server error
  - Status code
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>511 Network Authentication Required</strong></code> response status code indicates that the client needs to authenticate to gain network access.</p>

<p>This status is not generated by origin servers, but by intercepting proxies that control access to the network.</p>

<p>Network operators sometimes require some authentication, acceptance of terms, or other user interaction before granting access (for example in an internet café or at an airport). They often identify clients who have not done so using their Media Access Control ({{Glossary("MAC")}}) addresses.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox">511 Network Authentication Required</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("6585", "511 Network Authentication Required" , "6")}}</td>
   <td>Additional HTTP Status Codes</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Glossary("Proxy server")}}</li>
</ul>
